---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_WorkSet;'
    name:      Work Set
    index:     15
    customTagName: workSet
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    relationships:
    - instance: '&IDR_Work_Set__has_valid__Class;'
      customTagName: 'validClasses'

  - relationship: '&IDR_Work_Set__has_valid__Class;'
    index: 9
    sourceClassId: '&IDC_WorkSet;'
    type: 'has valid'
    destinationClassId: '&IDC_Class;'
    siblingRelationshipId: '&IDR_Class__valid_for__Work_Set;'
    singular: no

  - relationship: '&IDR_Class__valid_for__Work_Set;'
    index: 10
    sourceClassId: '&IDC_Class;'
    type: 'valid for'
    destinationClassId: '&IDC_WorkSet;'
    siblingRelationshipId: '&IDR_Work_Set__has_valid__Class;'
    singular: no

  - workSet: '&IDI_WorkSet_RelatedInstance;'
    name: 'Related Instance'